local ConRO_Mage, ids = ...;

--General
	ids.Racial = {
		ArcanePulse = 260364,
		ArcaneTorrent = 28730,
		Berserking = 26297,
		GiftoftheNaaru = 59548,
	}
	ids.Covenant_Ability = {
		Deathborne = 324220,
		Fleshcraft = 324631,
		MirrorsofTorment = 314793,
		RadiantSpark = 307443,
		ShiftingPower = 314791,
	}
	ids.Covenant_Buff = {

	}
	ids.Covenant_Debuff = {	
		MirrorsofTorment = 314793,
	}
	
--Arcane
	ids.Arc_Ability = {
	--Mage
		ArcaneExplosion = 1449,
		ArcaneIntellect = 1459,
		Blink = 1953,
		ConjureRefreshment = 190336,
		Counterspell = 2139,
		FireBlast = 319836,
		FrostNova = 122,
		Frostbolt = 116,
		IceBlock = 45438,
		MirrorImage = 55342,
		Polymorph = 118,
		RemoveCurse = 475,
		SlowFall = 130,
		Spellsteal = 30449,
		TimeWarp = 80353,
	--Arcane
		AlterTime = 342245,
		ArcaneBarrage = 44425,
		ArcaneBlast = 30451,	
		ArcaneMissiles = 5143,
		ArcanePower = 12042,
		ConjureManaGem = 759,
			ManaGem = 36799,
		Evocation = 12051,
		GreaterInvisibility = 110959,
		PresenceofMind = 205025,
		PrismaticBarrier = 235450,
		Slow = 31589,
		TouchoftheMagi = 321507,
	}
	ids.Arc_Passive = {
		Clearcasting = 79684,
		MasterySavant = 190740,
	}
	ids.Arc_Talent = {
		--15
		Amplification = 236628,
		RuleofThrees = 264354,
		ArcaneFamiliar = 205022,
		--25
		MasterofTime = 342249,
		Shimmer = 212653,
		Slipstream = 236457,
		--30
		IncantersFlow = 1463,
		FocusMagic = 321358,
		RuneofPower = 116011,
		--35
		Resonance = 205028,
		ArcaneEcho = 342231,
		NetherTempest = 114923,
		--40
		ChronoShift = 235711,
		IceWard = 205036,
		RingofFrost = 113724,
		--45
		Reverberate = 281482,
		ArcaneOrb = 153626,
		Supernova = 157980,
		--50
		Overpowered = 155147,
		TimeAnomaly = 210805,
		Enlightened = 321387,
	}
	ids.Arc_PvPTalent = {
		ArcaneEmpowerment = 276741,
		TormenttheWeak = 198151,
		MasterofEscape = 210476,
		RewindTime = 213220,
		MassInvisibility = 198158,
		NetherwindArmor = 198062,
		TemporalShield = 198111,
		DampenedMagic = 236788,
		Kleptomania = 198100,
		PrismaticCloak = 198064,
	}
	ids.Arc_Form = {
		PresenceofMind = 205025,
		IncantersFlow = 116267,
		RuneofPower = 116014,
	}
	ids.Arc_Buff = {
		ArcaneFamiliar = 210126,
		ArcaneIntellect = 1459,
		ArcanePower = 12042,
		Clearcasting = 263725,
		ClearcastingPvP = 276743,
		Evocation = 12051,
		PrismaticBarrier = 235450,
		RuleofThrees = 264774,
	}
	ids.Arc_Debuff = {
		NetherTempest = 114923,
		TouchoftheMagi = 210824,
	}
	ids.Arc_PetAbility = {
			
	}
		
--Fire
	ids.Fire_Ability = {
	--Mage
		ArcaneExplosion = 1449,
		ArcaneIntellect = 1459,
		Blink = 1953,
		ConjureRefreshment = 190336,
		Counterspell = 2139,
		FrostNova = 122,
		Frostbolt = 116,
		IceBlock = 45438,
		Invisibility = 66,
		MirrorImage = 55342,
		Polymorph = 118,
		RemoveCurse = 475,
		SlowFall = 130,
		Spellsteal = 30449,
		TimeWarp = 80353,
	--Fire
		AlterTime = 108978,
		BlazingBarrier = 235313,	
		Combustion = 190319,
		DragonsBreath = 31661,
		FireBlast = 108853,
		Fireball = 133,
		Flamestrike = 2120,
		PhoenixFlames = 257541,
		Pyroblast = 11366,
		Scorch = 2948,
	}
	ids.Fire_Passive = {
		Cauterize = 86949,
		CriticalMass = 117216,
		EnhancedPyrotechnics = 157642,
		HotStreak = 195283,
		MasteryIgnite = 12846,
	}
	ids.Fire_Talent = {
		--15
		Firestarter = 205026,
		Pyromaniac = 205020,
		SearingTouch = 269644,
		--25
		BlazingSoul = 235365,
		Shimmer = 212653,
		BlastWave = 157981,
		--30
		IncantersFlow = 1463,
		FocusMagic = 321358,
		RuneofPower = 116011,
		--35
		FlameOn = 205029,
		AlexstraszasFury = 235870,
		FromtheAshes = 342344,
		--40
		FreneticSpeed = 236058,
		IceWard = 205036,
		RingofFrost = 113724,
		--45
		FlamePatch = 205037,
		Conflagration = 205023,
		LivingBomb = 44457,
		--50
		Kindling = 155148,
		Pyroclasm = 269650,
		Meteor = 153561,
	}
	ids.Fire_PvPTalent = {
		--Honorable Medallion
		Adaptation = 214027,
		Relentless = 196029,
		GladiatorsMedallion = 208683,
		--
		NetherwindArmor = 198062,
		TemporalShield = 198111,
		Tinder = 203275,
		WorldinFlames = 203280,
		ControlledBurn = 280450,
		Firestarter = 203283,
		Flamecannon = 203284,
		GreaterPyroblast = 203286,
		PrismaticCloak = 198064,
		DampenedMagic = 236788,
		Kleptomania = 198100,
	}
	ids.Fire_Form = {
		RuneofPower = 116014,	
	}
	ids.Fire_Buff = {
		ArcaneIntellect = 1459,
		BlazingBarrier = 235313,
		Combustion = 190319,
		HeatingUp = 48107,
		HotStreak = 48108,
		IncantersFlow = 116267,
		LivingBomb = 217694,
		Pyroclasm = 269651, 
	}
	ids.Fire_Debuff = {
		Conflagration = 226757,
		Ignite = 12654,
	}
	ids.Fire_PetAbility = {
		
	}

--Frost
	ids.Frost_Ability = {
	--Mage
		ArcaneExplosion = 1449,
		ArcaneIntellect = 1459,
		Blink = 1953,
		ConjureRefreshment = 190336,
		Counterspell = 2139,
		FireBlast = 319836,
		FrostNova = 122,
		Frostbolt = 116,
		IceBlock = 45438,
		Invisibility = 66,
		MirrorImage = 55342,
		Polymorph = 118,
		RemoveCurse = 475,
		SlowFall = 130,
		Spellsteal = 30449,
		TimeWarp = 80353,
	--Frost
		AlterTime = 108978,
		Blizzard = 190356,
		ColdSnap = 235219,
		ConeofCold = 120,
		Flurry = 44614,
		FrozenOrb = 84714,
		IceBarrier = 11426,
		IceLance = 30455,
		IcyVeins = 12472,
		SummonWaterElemental = 31687,
	}
	ids.Frost_Passive = {
		BrainFreeze = 190447,
		FingersofFrost = 112965,
		MasteryIcicles = 76613,
		Shatter = 12982,
	}
	ids.Frost_Talent = {
		--15
		BoneChilling = 205027,
		LonelyWinter = 205024,
		IceNova = 157997,
		--25
		GlacialInsulation = 2352974,
		Shimmer = 212653,
		IceFloes = 108839,
		--30
		IncantersFlow = 1463,
		FocusMagic = 321358,
		RuneofPower = 116011,
		--35
		FrozenTouch = 205030,
		ChainReaction = 278309,
		Ebonbolt = 257537,
		--40
		FrigidWinds = 235224,
		IceWard = 205036,
		RingofFrost = 113724,
		--45
		FreezingRain = 270233,
		SplittingIce = 56377,
		CometStorm = 153595,
		--50
		ThermalVoid = 155149,
		RayofFrost = 205021,
		GlacialSpike = 199786,
	}
	ids.Frost_PvPTalent = {
		--Honorable Medallion
		Adaptation = 214027,
		Relentless = 196029,
		GladiatorsMedallion = 208683,
		--
		DampenedMagic = 236788,
		Kleptomania = 198100,
		ChilledtotheBone = 198126,
		Frostbite = 198120,
		DeepShatter = 198123,
		ConcentratedCoolness = 198148,
			FrozenOrb = 198149,
		BurstofCold = 206431,
		IceForm = 198144,
		NetherwindArmor = 198062,
		PrismaticCloak = 198064,
	}
	ids.Frost_Form = {
		RuneofPower = 116014,
	}
	ids.Frost_Buff = {
		ArcaneIntellect = 1459,
		BrainFreeze = 190446,
		FingersofFrost = 44544,
		FreezingRain = 270232,
		GlacialSpike = 199844,
		IceBarrier = 11426,
		Icicles = 205473,
		IcyVeins = 12472,
	}
	ids.Frost_Debuff = {
		WintersChill = 228358,
	}
	ids.Frost_PetAbility = {
		
	}